Get by Customer Guid

Credentials

Parameters

Name In Type Required Description
guid path string yes The unique PayMe customer identifier.

Code samples

curl

curl -X GET 'https://sandbox.payme.io/api/customers/<guid>' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Node.js

const response = await fetch("https://sandbox.payme.io/api/customers/<guid>", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <YOUR_TOKEN>",
  },
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://sandbox.payme.io/api/customers/<guid>",
    headers={
        "Authorization": "Bearer <YOUR_TOKEN>",
    },
)

print(response.text)

PHP

<?php

$ch = curl_init('https://sandbox.payme.io/api/customers/<guid>');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer <YOUR_TOKEN>',
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
items_count integer
items array
items[].guid string
items[].first_name string
items[].last_name string
items[].email string
items[].phone_number string
items[].additional_phone_number string
items[].country string
items[].city string
items[].street string
items[].building_number string
items[].floor string
items[].zip string
items[].middle_name string
items[].company_name string
items[].gender string
items[].description string
items[].birthday string
items[].created_at string
items[].updated_at string
items[].status integer
items[].payment_tokens object
items[].payment_tokens.payment_method string
items[].payment_tokens.token_guid string
{
  "items_count": 1,
  "items": [
    {
      "guid": "string",
      "first_name": "string",
      "last_name": "string",
      "email": "string",
      "phone_number": "string",
      "additional_phone_number": "string",
      "country": "string",
      "city": "string",
      "street": "string",
      "building_number": "string",
      "floor": "string",
      "zip": "string",
      "middle_name": "string",
      "company_name": "string",
      "gender": "string",
      "description": "string",
      "birthday": "2019-08-24",
      "created_date": "2019-08-24",
      "update_date": "2019-08-24",
      "status": 0,
      "payment_tokens": {
        "payment_method": "string",
        "token_guid": "string"
      }
    }
  ]
}

400 — Bad Request (error)

401 — Unauthorized (error)

500 — Internal Server Error (error)